{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "660798fa-cf08-4cfd-b553-c6d750d7e7ad",
   "metadata": {},
   "outputs": [],
   "source": [
    "import analysis"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "ff42670b-301d-4ee1-8da2-6a658fc5f286",
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "b47d615a-5953-43c0-9289-387d5c823a7a",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "2024-11-23 09:26:03,442 - waitress - INFO - Serving on http://0.0.0.0:10092\n"
     ]
    },
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Program starts execution!\n"
     ]
    },
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "2024-11-23 09:26:07,024 - analysis_report log - INFO - {'mongodb_database': 'db2', 'train_table': 'j00629_copy_statistics', 'accuracy_table': 'j00629_copy_statistics_predict_accuracy', 'model_table': 'models', 'model_name': 'lightgbm_model', 'scatter_col_x': 'globalr-1', 'label': 'realPower', 'col_time': 'dateTime'}\n"
     ]
    },
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Program starts execution!\n",
      "args {'mongodb_database': 'db2', 'train_table': 'j00629_copy_statistics', 'accuracy_table': 'j00629_copy_statistics_predict_accuracy', 'model_table': 'models', 'model_name': 'lightgbm_model', 'scatter_col_x': 'globalr-1', 'label': 'realPower', 'col_time': 'dateTime'}\n",
      "Program execution ends!\n"
     ]
    },
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "2024-11-23 09:27:07,135 - analysis_report log - INFO - {'mongodb_database': 'db2', 'train_table': 'j00629_copy_statistics', 'accuracy_table': 'j00629_copy_statistics_predict_accuracy', 'model_table': 'models', 'model_name': 'lightgbm_model', 'scatter_col_x': 'globalr-1', 'label': 'realPower', 'col_time': 'dateTime'}\n"
     ]
    },
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Program starts execution!\n",
      "args {'mongodb_database': 'db2', 'train_table': 'j00629_copy_statistics', 'accuracy_table': 'j00629_copy_statistics_predict_accuracy', 'model_table': 'models', 'model_name': 'lightgbm_model', 'scatter_col_x': 'globalr-1', 'label': 'realPower', 'col_time': 'dateTime'}\n",
      "Program execution ends!\n"
     ]
    }
   ],
   "source": [
    "%run analysis.py"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "a3b9a9ca-6c1a-40c1-a9c4-f3500fcba937",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "208"
      ]
     },
     "execution_count": 1,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "args = {\n",
    "    'mongodb_database':'db2',\n",
    "    'train_table':'j00629_copy_statistics',\n",
    "    'accuracy_table':'j00629_copy_statistics_predict_accuracy',\n",
    "    'model_table':'models',\n",
    "    'model_name':'lightgbm_model',\n",
    "    'scatter_col_x':'globalr-1',\n",
    "    'label':'realPower',\n",
    "    'col_time':'dateTime'\n",
    "}\n",
    "analysis_report(args)"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python (panddlets)",
   "language": "python",
   "name": "panddlets"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.19"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
